package im.zksy.yjmqserver.system.mapper;

import im.zksy.yjmqserver.system.model.Code;
import im.zksy.yjmqserver.system.model.CodeData;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CodeMapper {
    List<Code> selectAllWithKey();

    int updatecode(@Param(value = "list") List<Code> code);

    int updatetime(@Param(value = "list") List<Code> code);

    List<Code> selectAllWithType(String typeid);

    int  updateNameByCodeID(String codeid,String envalue);

    int updatemanualcode(String name,String alarmlevel);
    List<CodeData> selectCodeByCodeId(String codeid, String level);
}